Bug 1130092 - mod_cluster UDP advertising firewall settings missing for Windows and RHEL7
Summary: mod_cluster UDP advertising firewall settings missing for Windows and RHEL7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: doc-HTTP-Connectors-Guide
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR02
: 2.1.0
Assignee: Mandar Joshi
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 10:22 UTC by Michal Karm Babacek
Modified: 2015-09-01 02:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 10995, HTTP Connectors Load Balancing Guide-2.1-3 Build Date: 14-08-2014 18:36:15 Topic ID: 11035-698138 [Latest]
Last Closed: 2014-08-21 08:43:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Karm Babacek 2014-08-14 10:22:38 UTC
Title: Configure a Tomcat Worker Node

Describe the issue:
One can take advantage of Apache HTTP Server advertising via UDP multicast. On most systems, this is not allowed by default. One has to tweak the firewall to allow multicast UDP on certain ports.


Suggestions for improvement:

Copy procedures 11.34 and 11.35 to relevant locations in the EWS docs:

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Administration_and_Configuration_Guide/index.html#iidp7929936

Comment 1 Misha H. Ali 2014-08-15 06:16:27 UTC
Waiting to hear from Michal on other bug where the proposal is to exclude this content for this release since this issue was discovered fairly close to GA. If that proposal is not acceptable, we can implement the additional procedures on Monday.

Comment 2 Michal Karm Babacek 2014-08-15 06:24:59 UTC
Dear Misha,
I don't think this BZ is related to the BZ 1130113.
IMHO, you can safely copy-paste these firewall config snippets from the EAP documentation.

Comment 3 Misha H. Ali 2014-08-15 06:27:07 UTC
Ok, thanks for the clarification, Michal.

Comment 5 Michal Karm Babacek 2014-08-18 09:45:07 UTC
> Procedure 7.3. Configure the Firewall on Red Hat Enterprise Linux 7 to Allow mod_cluster Advertising

Looks O.K. to me.

Comment 6 Michal Karm Babacek 2014-08-18 09:45:49 UTC
> Procedure 7.2. Configuring Firewall on Microsoft Windows using PowerShell

is fine as well.

Thank you very much for this last minute effort.

Comment 7 Misha H. Ali 2014-08-21 08:43:44 UTC
Now available on the customer portal:

https://access.redhat.com/documentation/en-US/JBoss_Enterprise_Web_Server/2.1/


Note You need to log in before you can comment on or make changes to this bug.